> For the complete documentation index, see [llms.txt](https://carpool.gitbook.io/carpool/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://carpool.gitbook.io/carpool/api-reference/instructions/most_common_values_instruction.md).

# MOST\_COMMON\_VALUES\_INSTRUCTION

## Overview

*This method returns the most common instruction values based on the given argument path and an optional robust filter object. There are many types of filters you can apply and you can find information regarding those in the* [*Filters*](/carpool/api-reference/filters.md) *section of the docs.*

{% openapi src="/files/6sUdwiU4CZaDuOtrbF47" path="/query/solana" method="post" %}
[Carpool\_dev-MOST\_COMMON\_VALUES\_INSTRUCTION-0.1-resolved.json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2F2F1YRTAWji56Ki8YzuHQ%2FCarpool_dev-MOST_COMMON_VALUES_INSTRUCTION-0.1-resolved.json?alt=media\&token=acc0a231-4e78-430a-8300-38b96449ad59)
{% endopenapi %}

## Filters

As mentioned above, the api definition here implements an optional filter object. All queries that accept a filter object in the POST body can make use of **any** of the potential filters. Please see the Instruction Filters section of the documentation to better understand how they are implemented for instruction queries.

{% content-ref url="/pages/uYgjTokygYFjAlLVuwUH" %}
[Instruction Filters](/carpool/api-reference/filters/instruction-filters.md)
{% endcontent-ref %}

## Example - Basic

**Program** - *Candy Machine*

**Description** *- Return the most common values for argument* data.creators.percentageShare. Default to 5 returned values.

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "MOST_COMMON_VALUES_INSTRUCTION",
  "query": {
    "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
    "path": "data.creators.percentageShare"
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "MOST_COMMON_VALUES_INSTRUCTION",
    "query": {
        "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
        "path": "data.creators.percentageShare"
    }
}'
```

## Example - Advanced

**Program** - *Candy Machine*

**Description** *- Return the 10 most common values for argument* data.creators.percentageShare. Filter for only instructions that have "metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s" within their logs and they must be in the set time range.

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "MOST_COMMON_VALUES_INSTRUCTION",
  "query": {
    "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
    "path": "data.creators.percentageShare",
    "limit": "10",
    "filter": {
      "type": "INSTRUCTION_LOGS",
      "searchText": "metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s"
    },
    "timeRange": {
      "before": "2023-07-17T22:53:09+0000",
      "after": "2023-07-11T22:53:09+0000"
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "MOST_COMMON_VALUES_INSTRUCTION",
    "query": {
        "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
        "path": "data.creators.percentageShare",
        "limit": "10",
        "filter": {
            "type": "INSTRUCTION_LOGS",
            "searchText": "metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s"
        },
        "timeRange": {
            "before": "2023-07-17T22:53:09+0000",
            "after": "2023-07-11T22:53:09+0000"
        }
    }
}'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://carpool.gitbook.io/carpool/api-reference/instructions/most_common_values_instruction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
